Subject: Re: Assume C89 or later for math functions.

From: Paul Eggert <[email-masked]>
Date: Sat, 08 Sep 2012 12:01:25 -0700

On 09/08/2012 08:58 AM, Eli Zaretskii wrote:>

> couldn't this be a useful debugging option

Yes, it might be useful to have a feature to enable IEEE traps,
on platforms that support IEEE traps.  But that would be a new
Emacs feature, and a different and independent patch.

> I can cause FP exception to trigger SIGFPE at run time with a
> single function call.  I'm sure glibc has a similar facility as well.

Sure, glibc and many other systems have such facilities.
But they're optional, and Emacs currently does not use them.
If Emacs enabled them, that would be the new feature mentioned above.

> what about Cygwin?

Cygwin is like glibc.  matherr exists to support ancient
applications, but it's present only for SVID compatibility, and
it's normally disabled so Emacs doesn't use it.  I just now
checked the source.